<<

# jobqueue.pl

- NAME
- SYNOPSIS
- DESCRIPTION
- Running jobqueue.pl as a System Service

# NAME

jobqueue.pl - Runs jobs in the background for Bugzilla.

# SYNOPSIS

     ./jobqueue.pl [OPTIONS] COMMAND

       OPTIONS:
       -f        Run in the foreground (don't detach)
       -d        Output a lot of debugging information
       -p file   Specify the file where jobqueue.pl should store its current
                 process id. Defaults to F<data/jobqueue.pl.pid>.
       -n name   What should this process call itself in the system log?
                 Defaults to the full path you used to invoke the script.

       COMMANDS:
       start     Starts a new jobqueue daemon if there isn't one running already
       stop      Stops a running jobqueue daemon
       restart   Stops a running jobqueue if one is running, and then
                 starts a new one.
       once      Checks the job queue once, executes the first item found (if
                 any) and then exits
       onepass   Checks the job queue, executes all items found, and then exits
       check     Report the current status of the daemon.
       install   On some *nix systems, this automatically installs and
                 configures jobqueue.pl as a system service so that it will
                 start every time the machine boots.
       uninstall Removes the system service for jobqueue.pl.
       help      Display this usage info
       version   Display the version of jobqueue.pl

# DESCRIPTION

See Bugzilla::JobQueue and Bugzilla::JobQueue::Runner.

# Running jobqueue.pl as a System Service

For systems that use Upstart or SysV Init, there is a SysV/Upstart init script included with Bugzilla for jobqueue.pl: contrib/bugzilla-queue. It should work out-of-the-box on RHEL, Fedora, CentOS etc.

You can install it by doing `./jobqueue.pl install` as root, after already having run checksetup at least once to completion on this Bugzilla installation.

If you are using a system that isn't RHEL, Fedora, CentOS, etc., then you may have to modify contrib/bugzilla-queue and install it yourself manually in order to get `jobqueue.pl` running as a system service.

<<